Subject: Re: bug#17835: Emacs 24.3 not compiling on Red Hat Enterprise Linux 5

From: Axel Bregnsbo <[email-masked]>
Date: Tue, 24 Jun 2014 22:54:27 +0200

Hi Glenn,

In my PATH (/import/vne/bin) I pointed to a 32-bit 'ld' version, but was
compiling on a 64-bit REHL5 machine. After removing /import/vne/bin from
PATH compilation went fine. Thanks for your quick response. You can close
this bug.

Kind regards,
Axel

PS: Thanks Uli

On Mon, Jun 23, 2014 at 9:12 AM, Uli Menzebach <[email-masked]> wrote:

>  Hi Axel,
>
>
>
> /import/vne (RHEL5 based release) is a 32bit recompile PLUS extensions and
> optional patches. Sharing /usr/lib except the most basic libraries would
> defeat the purpose of vne. Both library locations need to stay separate.
>
> The name /import/vne*test* has historical reasons btw. .
>
> *And yes, the /import/vne tree is 32bit *only* (must still support 32bit
> boxes). Don’t mix things up when you compile things :D*
>
>
>
> Make sure you determine exactly which executable get called. Never rely on
> the dreaded PATH variable in a Makefile … it will come back and bite you in
> the rear.
>
> Like below: you called the wrong ld binary (32bit from vne tree) when you
> really should have called the local 64bit version.
>
> In my opinion it is best to declare variables for binaries and libraries
> with their full path.
>
> IF you want a “local” compilation, it is a good idea to remove
> /import/vne/bin from the PATH variable in the running shell (plus “hash -r”
> in bash or “rehash” in tcsh) before you run ./configure ….
>
> Also make sure your LD_LIBRARY_PATH is cleared.
>
>
>
> Hope this helps a bit,
>
>
>
>                 Uli
>
>
>
>
>
> *From:* Axel Bregnsbo [mailto:[email-masked]]
> *Sent:* Monday, June 23, 2014 8:57 AM
> *To:* Uli Menzebach
> *Subject:* Fwd: bug#17835: Emacs 24.3 not compiling on Red Hat Enterprise
> Linux 5
>
>
>
> Hi Uli,
>
>
>
> See below for Emacs 24.3 bug report to FSF. BTW: could you give a short
> explanation for /import/vnetest/. Why is this not the standard /usr/lib/
> location? Is it because you want to avoid duplicating binary files to each
> Linux server?
>
>
>
> Kind regards,
>
> Axel
>
> ---------- Forwarded message ----------
> From: *Glenn Morris* <[email-masked]>
> Date: Mon, Jun 23, 2014 at 2:21 AM
> Subject: Re: bug#17835: Emacs 24.3 not compiling on Red Hat Enterprise
> Linux 5
> To: Axel Bregnsbo <[email-masked]>
> Cc: [email-masked]
>
>
>
> BTW, 24.3 builds fine for me on RHEL 5.10 x86_64.
>
> I don't know what's going on with things like
>
>   /import/vne/bin/ld: warning: i386:x86-64 architecture of input file
>   `/usr/lib64/crt1.o' is incompatible with i386 output
>
> in your build. You seem to have an entire separate tree of stuff in
> /import/vnetest?
>
>
>
>
>
> --
> Axel B. Bregnsbo
> [email-masked]
> +45 61782267
>   CONFIDENTIALITY NOTICE: This e-mail message, including any attachments,
> is for the sole use of the intended recipient(s) and may contain
> confidential and privileged information. Any unauthorized review, use,
> disclosure or distribution is prohibited. If you are not the intended
> recipient, please contact the sender by reply e-mail and destroy all copies
> of the original message.
>

-- 
Axel B. Bregnsbo
[email-masked]
+45 61782267